%define version 0.6.4
%define name cdcd
%define release 3mdk

Summary: Command line based cd player with cddb support.
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Sound
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Buildrequires: libcdaudio-devel libncurses-devel readline-devel
URL: http://libcdaudio.sourceforge.net/

%description
	cdcd takes a different approach from conventional console
 (or X) based CD players, in that it doesn't keep with the
 display-oriented paradigm. Conventional computer-based CD players
 resemble traditional physical CD players.  This is fine, if your
 user interface consists of 10 buttons. However, computers have
 keyboards, so why not use them?  Besides, it's certainly a waste 
 of a console or an xterm to have a traditional CD player
 open anyway.


%prep
rm -rf $RPM_BUILD_ROOT

%setup 

%build

%configure

%make


%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/install-info %{_infodir}/cdcd.info.bz2 %{_infodir}/dir

%postun 
/sbin/install-info --delete %{_infodir}/cdcd.info.bz2 %{_infodir}/dir

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog NEWS
%{_bindir}/*
%{_mandir}/man1/*
%_infodir/*

%changelog

* Wed Jul 23 2003 Michael Scherer <scherer.michael@free.fr> 0.6.4-3mdk
- Buildrequires 

* Sun Apr 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.4-2mdk
- adjust buildrequires

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.4-1mdk
- 0.6.4

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.3-3mdk
- rebuild

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.3-2mdk
- rebuild for new readline

* Tue Mar 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.3-1mdk
- 0.6.3

* Thu Jun 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-4mdk
- rebuild

* Wed Sep 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-3mdk
- build release

* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-2mdk
- fix group, files section
- fix permission on sources

* Thu Feb 08 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
- v0.5.0

* Sat Jul 31 1999 Adrian Likins <alikins@redhat.com>
-updated to 0.4.6
-readded the man page

* Sun Jun  6 1999 Adrian Likins <alikins@redhat.com>
-first release as rpm
